# ------- Open Watcom C++ 1.7 configuration --------
# --- general --------------------------------------
# $P  - project name
# $Pp - path to project directory
# $Pn - project name
# --- compile --------------------------------------
# $I  - input full name
# $Ip - input path
# $In - input name
# $Ie - input extension
# $O  - output file
# $Op - path to output file
# $On - output filename (without path)
# $Oe - output extension
# $R  - release/debug setting for compiler
# --- build ----------------------------------------
# $T  - target full name
# $Tp - target path
# $Tn - target name
# $O  - output file
# $Op - path to output file
# $On - output filename (without path)
# $Oe - output extension
# $R  - release/debug setting for linker

[Settings]

Target = 
Category&01 = DEFAULT RUN CONFIGURATION
Working Directory =.
Command Line Arguments =
Category&02 = COMPILER OPTIONS
Operate Quietly = yes|no
Warning Level = 4|3|2|1|0
Debugging Information = Full|Line number|Full with unref. type names
Generate Browse Information = yes|no
Debug Output Format = Default|Open Watcom|Dwarf|CodeView
Default Calling Convention = watcall|cdecl|stdcall|fastcall|pascal|fortran|syscall
Call Epiloque Hook Routine = no|yes
Error Limit = 20
Unsigned Char = yes|no
Memory Model = default|flat|small|medium|compact|large|huge
Treat Source File = As Is|As C++|As C
Enum Base types = Default|Force Int|Force Minimum
Chars And Shorts As Int = no|yes
Language Extensions = Enable|Disable
Literal Strings in Code Segment = no|yes
Generate FWAIT Instructions = no|yes
Structure Packing = Default|1|2|4|8|16
Stack Bytes =
Data Segment Name =
Text Segment Name =
Preprocessor (Debug) = 
Preprocessor (Release) = 
Additional Include Directories = 
Excluded Files = Excludes
Compiler Options =
Category&03 = ASSEMBLER OPTIONS
Assembler Options =
Category&04 = LINKER OPTIONS
Libraries = 
Section Alignment =
Program Base Address =
Comment String =
Starting Address =
Allow Multiply Defined Symbols = no|yes
Allow Undefined Symbols = no|yes
Heap Size =
Stack Size =
Version =
Linker Options =
Debugger = 
External Dependencies = yes|no

[SettingsInfo]

Target = Provides a space for you to specify an output file and location of the program that the linker creates.
Working Directory = Provides a space for you to specify the directory in which executing occurs. If you do not specify a directory, executing occurs in the directory where the executable is located.
Command Line Arguments = Provides a space for you to specify command-line arguments you want to pass to the program at startup.
Libraries = Provides a space for you to specify an object file or standard library (either static or import) to pass to the linker. Separate file names with a space.
Preprocessor (Debug) = Shows the switches the tool will use to build. You can to add or remove switches.
Preprocessor (Release) = Shows the switches the tool will use to build. You can to add or remove switches.
Warning Level = Specifies the severity of warning for which the compiler generates messages.	
Excluded Files = This will exclude the file(s) included in this UE project group from the build.
Compiler Options = Provides a space for you to specify an additional compiler options.
Linker Options = Provides a space for you to specify an additional linker options.
Debugger = Provides a space for you to set the debugger you want to use to debug application.
External Dependencies = If you select "yes" option, UE Studio will generate in project group "External Dependencies" from included files.

[SettingsReps]

External Dependencies=yes=1|no=0
Warning Level = @-w%s
Preprocessor (Debug) = ^@[;| -d%s]
Preprocessor (Release) = ^@[;| d%s]
Debugging Information = Full=-d2|Line number=-d1|Full with unref. type names=-d3
Generate Browse Information = no=|yes=-db
Error Limit = @-e%s
Default Calling Convention = watcall=|cdecl=-ecc|stdcall=-ecd|fastcall=-ecf|pascal=-ecp|fortran=-ecr|syscall=-ecs
Call Epiloque Hook Routine = no=|yes=-ee
Additional Include Directories = ^@[;| -i=%s]
Unsigned Char = yes=|no=-j
Memory Model = default=|flat=-mf|small=-ms|medium=-mm|compact=-mc|large=-ml|huge=-mh
Treat Source File = As Is=|As C++=-cc++|As C=-cc
Enum Base types = Default=|Force Int=-ei|Force Minimum=-em
Stack Bytes = @-ep%s
Debug Output Format = Default=|Open Watcom=-hw|Dwarf=-hd|CodeView=-hc
Data Segment Name = @-nt=%s
Text Segment Name = @-nd=%s
Operate Quietly = no=|yes=-q
Chars And Shorts As Int = no=|yes=-ri
Language Extensions = Enable=-ze|Disable=-za
Literal Strings in Code Segment = no=|yes=-zc
Generate FWAIT Instructions = no=|yes=-zfw
Structure Packing = Default=|1=-zp1|2=-zp2|4=-zp4|8=-zp8|16=-zp16
Section Alignment = @/align:%s
Program Base Address = @/base:%s
Comment String = @/comment:%s
Starting Address = @/entry:%s
Allow Multiply Defined Symbols = no=|yes=/force:multiple
Allow Undefined Symbols = no=|yes=/force:undefined
Heap Size = @/heap:%s
Stack Size = @/stack:%s
Version = @/version:%s

[Variables]

CompMode = -6r
BuildTarget = -bt=nt
System Name =
Assembler = wasm
Compiler = wcc386
Linker = link /nologo
AOPT = $(Assembler Options)
COPT = $(CompMode) $(Build Target) $(Operate Quietly) $(Default Calling Convention) $(Warning Level) $(Treat Source File) -ef $(Call Epiloque Hook Routine) $(Unsigned Char) $(Additional Include Directories) $(Memory Model) $(Enum Base types) $(Stack Bytes) $(Data Segment Name) $(Text Segment Name) $(Chars And Shorts As Int) $(Language Extensions) $(Literal Strings in Code Segment) $(Generate FWAIT Instructions) $(Structure Packing)
DOPT = $(Debugging Information) $(Generate Browse Information) $(Debug Output Format)
ROPT = -s
LOPT = $(Section Alignment) $(Program Base Address) $(Comment String) $(Starting Address) $(Allow Multiply Defined Symbols) $(Allow Undefined Symbols) $(Heap Size) $(Stack Size)

[Environment]

[General]

TargetExt = .EXE
ReleaseOut = Release
DebugOut = Debug
UseFullPaths = 0
UseDosNames = 0
Excludes = $(Excluded Files)
.CPP=.C
.CXX=.C
.CC=.C
GenerateEDGroup=$(External Dependencies)

[MakeCommands]

run = Execute Application
debug = Start Debugger
makef = Show Makefile
peview = PEview

[Execute Application]

Title = Execute $T
Cmd0 = $(Command Line Arguments)
Depends = $T
ShowWindow = 1
DisplayConsole = 0

[Start Debugger]

Title = Debug $T
Cmd0 = wdw $T
Depends = $T
ShowWindow = 1

[InsertFiles]

group0 = $(Libraries)

[FileGroups]

FGO = .obj;.res;
FGL = .lib;

[GroupFormats]

FGO = %s
FGL = %s

[Build]

Out = $T
Depends = $FGO
ReleaseFlag = /incremental:no /release /opt:ref
DebugFlag = /incremental:yes /debug /opt:noref
Cmd0 = $(Linker) $(LOPT) /OUT:$O $R $FGO $FGL

[.C]

Out = $In.obj
ReleaseFlag = $(ROPT) $(Preprocessor (Release))
DebugFlag = $(DOPT) $(Preprocessor (Debug))
Cmd0 = $(Compiler) $I $(COPT) $R 

IncFiles = 1
CaseSensitive = 1
IncDirs = .;$(INCLUDE);
IncKeyWords = #include;
Comments = /*.*/.//.eol.

[.RC]

Out = $In.res
Cmd0 = RC /nologo /i$Ip /fo$O $I
IncFiles = 1
CaseSensitive = 1
IncDirs = .;$(INCLUDE);
IncKeyWords = #include;
Comments = /*.*/.//.eol.

[.ASM]

Out = $In.obj
Cmd0 = $(Assembler) $(AOPT) /Fo$O $I

IncFiles = 1
CaseSensitive = 0
IncDirs = .;$(INCLUDE);
IncKeyWords = include;
Comments = ;.eol.

[PEview]

Title=Show PE Information
Depends=$T
Cmd0=uetools -pe $T
ShowWindow=1
DisplayConsole=0

[Show Makefile]

Title=Show makefile
Cmd0=uestudio $(UESMAKEFILE)
ShowWindow=1
DisplayConsole=0
